<template>
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-md-8">
        <div class="card">
          <div class="card-header">PQR</div>
          <div class="card-body">
            <form>
              <div class="row">
                <div class="col-md-6">
                  <select
                    class="custom-select"
                    id="inputGroupSelect01"
                    v-model="selectedType"
                  >
                    <option value="0">Tipo de Solicitud...</option>
                    <option value="1">Felicitaciones</option>
                    <option value="2">Queja</option>
                    <option value="3">Reclamo</option>
                    <option value="4">petición</option>
                    <option value="5">Otro</option>
                  </select>
                </div>
                <div class="col" v-if="selectedType == 5">
                  <input type="text" class="form-control" placeholder="Cual?" />
                </div>
              </div>

              <div class="row mt-1">
                <div class="col">
                  <input type="text" class="form-control" placeholder="Nombre Completo" />
                </div>
              </div>

              <div class="row mt-1">
                <div class="col">
                  <input type="text" class="form-control" placeholder="Documento" />
                </div>
                <div class="col">
                  <select class="custom-select" id="inputGroupSelect01">
                    <option selected>Genero...</option>
                    <option value="1">Masculino</option>
                    <option value="2">Femenino</option>
                    <option value="3">Indeterminado</option>
                  </select>
                </div>
              </div>
              <div class="row">
                <div class="col-md-6 mt-1">
                  <input type="text" class="form-control" placeholder="Asunto" />
                </div>
              </div>
              <div class="row">
                <div class="col mt-1">
                  <textarea class="form-control" placeholder="Descripción"></textarea>
                </div>
              </div>
              <div class="row mt-1">
                <div class="col">
                  <input
                    type="email"
                    class="form-control"
                    placeholder="Correo Electrónico (ejemplo@ejemplo.com)"
                  />
                </div>
                <div class="col">
                  <input type="phone" class="form-control" placeholder="Telefono" />
                </div>
              </div>
              <button type="submit" class="btn btn-danger btn-block">Crear</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import axios from "axios";
export default {
  data() {
    return {
      requestType: {
        name: "",
        description: "",
      },
      selectedType: 0,
    };
  },
  methods: {
    submitForm() {
      //Aqui va el codigo para realizar la petición
    },
  },
};
</script>
